<?xml version='1.0' encoding='UTF-8'?><?xml-stylesheet type='text/xsl' href='wsdl-viewer.xsl'?><wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="esf" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="DictWebService" targetNamespace="esf">
  <wsdl:types>
    <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="esf" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="esf">
      <xs:element name="ovd" nillable="true" type="xs:anyType"/>
      <xs:element name="pin" nillable="true" type="xs:anyType"/>
      <xs:complexType name="SmallRetailOutletRequest">
        <xs:annotation>
          <xs:documentation>Запрос на получение данных по справочнику "Малая торговая точка"</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
          <xs:extension base="tns:AbstractSessionAwareRequest">
            <xs:sequence>
              <xs:element name="tin" type="xs:string">
                <xs:annotation>
                  <xs:documentation>ИИН/БИН Малой торговой точки</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element minOccurs="0" name="date" type="xs:dateTime">
                <xs:annotation>
                  <xs:documentation>Дата на которую нужно получить данные</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType abstract="true" name="AbstractSessionAwareRequest">
        <xs:sequence>
          <xs:element name="sessionId" type="xs:string">
            <xs:annotation>
              <xs:documentation>Идентификатор сессии (см. SessionService)</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="SmallRetailOutletResponse">
        <xs:annotation>
          <xs:documentation>Ответ по запросу на загрузку по справочнику 'Малая торговая точка'</xs:documentation>
        </xs:annotation>
        <xs:sequence>
          <xs:element minOccurs="0" name="smallRetailOutletDataList">
            <xs:complexType>
              <xs:sequence>
                <xs:element maxOccurs="unbounded" minOccurs="0" name="smallRetailOutletDataList" type="tns:SmallRetailOutletData">
                  <xs:annotation>
                    <xs:documentation>Список c историческими данными о МТТ</xs:documentation>
                  </xs:annotation>
                </xs:element>
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="SmallRetailOutletData">
        <xs:annotation>
          <xs:documentation>Информация о МТТ</xs:documentation>
        </xs:annotation>
        <xs:sequence>
          <xs:element name="tin" type="xs:string">
            <xs:annotation>
              <xs:documentation>ИИН/БИН</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="startDate" type="xs:dateTime">
            <xs:annotation>
              <xs:documentation>Дата начала периода</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element minOccurs="0" name="endDate" type="xs:dateTime">
            <xs:annotation>
              <xs:documentation>Дата окончания периода</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="isActive" type="xs:boolean">
            <xs:annotation>
              <xs:documentation>Признак активности МТТ</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="SessionClosedFault">
        <xs:annotation>
          <xs:documentation>При попытке выполнить действие, когда сессия пользователя была закрыта вызовом соответствующего метода либо по таймауту</xs:documentation>
        </xs:annotation>
        <xs:sequence>
          <xs:element name="description" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="OvdUpdatesRequest">
        <xs:annotation>
          <xs:documentation>Запрос на загрузку обновлений по справочнику 'ОВД'</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
          <xs:extension base="tns:AbstractSessionAwareRequest">
            <xs:sequence>
              <xs:element name="lastUpdateDate" type="xs:dateTime">
                <xs:annotation>
                  <xs:documentation>Дата с которой следует возвращать результаты (в формате времени с временной зоной)</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="lastChangeId" type="xs:long">
                <xs:annotation>
                  <xs:documentation>Id последнего загруженного изменения (changeId). При первоначальной загрузке обновлений ОВД необходимо указать значение равное '0'</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element minOccurs="0" name="tin" type="xs:string">
                <xs:annotation>
                  <xs:documentation>ИИН/БИН производителя (импортера)</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="ovdType" type="tns:OvdType">
                <xs:annotation>
                  <xs:documentation>Тип ОВД</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="blockSize">
                <xs:annotation>
                  <xs:documentation>Количество загружаемых обновлений</xs:documentation>
                </xs:annotation>
                <xs:simpleType>
                  <xs:restriction base="xs:int">
                    <xs:maxInclusive value="1000"/>
                    <xs:minInclusive value="1"/>
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="OvdUpdatesResponse">
        <xs:annotation>
          <xs:documentation>Ответ по запросу на загрузку обновлений по справочнику 'ОВД'</xs:documentation>
        </xs:annotation>
        <xs:sequence>
          <xs:element minOccurs="0" name="lastUpdateDate" type="xs:dateTime">
            <xs:annotation>
              <xs:documentation>Дата и время последнего обновления ОВД</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element minOccurs="0" name="lastId" type="xs:long">
            <xs:annotation>
              <xs:documentation>Последний загруженный id</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element form="qualified" name="ovds">
            <xs:complexType>
              <xs:sequence>
                <xs:element maxOccurs="unbounded" minOccurs="0" ref="tns:ovd">
                  <xs:annotation>
                    <xs:documentation>Список обновлений ОВД</xs:documentation>
                  </xs:annotation>
                </xs:element>
              </xs:sequence>
            </xs:complexType>
          </xs:element>
          <xs:element name="lastBlock" type="xs:boolean">
            <xs:annotation>
              <xs:documentation>Текущий блок является последним</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType abstract="true" name="Ovd">
        <xs:annotation>
          <xs:documentation>Справочник «ОВД»</xs:documentation>
        </xs:annotation>
        <xs:sequence>
          <xs:element name="id" type="xs:long">
            <xs:annotation>
              <xs:documentation>Идентификатор</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="tin" type="xs:string">
            <xs:annotation>
              <xs:documentation>ИИН/БИН</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="ovdCode" type="xs:string">
            <xs:annotation>
              <xs:documentation>Идентификатор карточки ОВД</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="kogd" type="xs:string">
            <xs:annotation>
              <xs:documentation>КОГД</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="address" type="xs:string">
            <xs:annotation>
              <xs:documentation>Адрес местонахождения объекта</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element minOccurs="0" name="lastUpdateDate" type="xs:dateTime">
            <xs:annotation>
              <xs:documentation>Дата обновления</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="OilOvd">
        <xs:annotation>
          <xs:documentation>Справочник «ОВД нефтепродуктов»</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
          <xs:extension base="tns:Ovd">
            <xs:sequence>
              <xs:element minOccurs="0" name="petrolStationName" type="xs:string">
                <xs:annotation>
                  <xs:documentation>Наименование АЗС(базы нефтепродуктов)</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element minOccurs="0" name="carNumber" type="xs:string">
                <xs:annotation>
                  <xs:documentation>Государственный номер автомашины</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element minOccurs="0" name="markOfCar" type="xs:string">
                <xs:annotation>
                  <xs:documentation>Марка автомобиля</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element minOccurs="0" name="messageType" type="tns:DictRegistrationType">
                <xs:annotation>
                  <xs:documentation>Тип сообщения</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="TobaccoOvd">
        <xs:annotation>
          <xs:documentation>Справочник «ОВД табачной продукции»</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
          <xs:extension base="tns:Ovd">
            <xs:sequence>
              <xs:element minOccurs="0" name="messageType" type="tns:DictRegistrationType">
                <xs:annotation>
                  <xs:documentation>Тип сообщения</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="AlcoholLicenseUpdatesRequest">
        <xs:annotation>
          <xs:documentation>Запрос на загрузку обновлений по справочнику 'Лицензии алкогольной продукции'</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
          <xs:extension base="tns:AbstractSessionAwareRequest">
            <xs:sequence>
              <xs:element name="lastUpdateDate" type="xs:dateTime">
                <xs:annotation>
                  <xs:documentation>Дата с которой следует возвращать результаты (в формате времени с временной зоной)</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="lastChangeId" type="xs:long">
                <xs:annotation>
                  <xs:documentation>Id последнего загруженного изменения (changeId). При первоначальной загрузке обновлений ПИН необходимо указать значение равное '0'</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element minOccurs="0" name="tin" type="xs:string">
                <xs:annotation>
                  <xs:documentation>ИИН/БИН производителя (импортера)</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="blockSize">
                <xs:annotation>
                  <xs:documentation>Количество загружаемых обновлений</xs:documentation>
                </xs:annotation>
                <xs:simpleType>
                  <xs:restriction base="xs:int">
                    <xs:maxInclusive value="1000"/>
                    <xs:minInclusive value="1"/>
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="AlcoholLicenseUpdatesResponse">
        <xs:annotation>
          <xs:documentation>Ответ по запросу на загрузку обновлений по справочнику 'Лицензии алкогольной продукции'</xs:documentation>
        </xs:annotation>
        <xs:sequence>
          <xs:element minOccurs="0" name="lastUpdateDate" type="xs:dateTime">
            <xs:annotation>
              <xs:documentation>Дата и время последнего обновления Пин-кода</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element minOccurs="0" name="lastId" type="xs:long">
            <xs:annotation>
              <xs:documentation>Последний загруженный id</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element form="qualified" name="alcoholLicenses">
            <xs:complexType>
              <xs:sequence>
                <xs:element form="qualified" maxOccurs="unbounded" minOccurs="0" name="alcoholLicense" type="tns:AlcoholLicense">
                  <xs:annotation>
                    <xs:documentation>Список обновлений ПИН-кодов</xs:documentation>
                  </xs:annotation>
                </xs:element>
              </xs:sequence>
            </xs:complexType>
          </xs:element>
          <xs:element name="lastBlock" type="xs:boolean">
            <xs:annotation>
              <xs:documentation>Текущий блок является последним</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="AlcoholLicense">
        <xs:annotation>
          <xs:documentation>Справочник «Лицензии алкогольной продукции»</xs:documentation>
        </xs:annotation>
        <xs:sequence>
          <xs:element name="id" type="xs:long">
            <xs:annotation>
              <xs:documentation>Идентификатор</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="tin" type="xs:string">
            <xs:annotation>
              <xs:documentation>ИИН/БИН</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="ovdCode" type="xs:string">
            <xs:annotation>
              <xs:documentation>Идентификатор карточки ОВД</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="kogd" type="xs:string">
            <xs:annotation>
              <xs:documentation>КОГД</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="address" type="xs:string">
            <xs:annotation>
              <xs:documentation>Адрес местонахождения объекта</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="licenseNumber" type="xs:string">
            <xs:annotation>
              <xs:documentation>Номер лицензии</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="licenseDate" type="xs:string">
            <xs:annotation>
              <xs:documentation>Дата лицензии</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="messageType" type="tns:DictRegistrationType">
            <xs:annotation>
              <xs:documentation>Тип сообщения</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element minOccurs="0" name="lastUpdateDate" type="xs:dateTime">
            <xs:annotation>
              <xs:documentation>Дата обновления</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="PinUpdatesRequest">
        <xs:annotation>
          <xs:documentation>Запрос на загрузку обновлений по справочнику 'ПИН-коды'</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
          <xs:extension base="tns:AbstractSessionAwareRequest">
            <xs:sequence>
              <xs:element name="lastUpdateDate" type="xs:dateTime">
                <xs:annotation>
                  <xs:documentation>Дата с которой следует возвращать результаты (в формате времени с временной зоной)</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="lastChangeId" type="xs:long">
                <xs:annotation>
                  <xs:documentation>Id последнего загруженного изменения (changeId). При первоначальной загрузке обновлений ПИН необходимо указать значение равное '0'</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element minOccurs="0" name="tin" type="xs:string">
                <xs:annotation>
                  <xs:documentation>ИИН/БИН производителя (импортера)</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element minOccurs="0" name="pinCode" type="xs:string">
                <xs:annotation>
                  <xs:documentation>ПИН-код</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="pinType" type="tns:PinType">
                <xs:annotation>
                  <xs:documentation>Тип ПИН-кода</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="blockSize">
                <xs:annotation>
                  <xs:documentation>Количество загружаемых обновлений</xs:documentation>
                </xs:annotation>
                <xs:simpleType>
                  <xs:restriction base="xs:int">
                    <xs:maxInclusive value="1000"/>
                    <xs:minInclusive value="1"/>
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="PinUpdatesResponse">
        <xs:annotation>
          <xs:documentation>Ответ по запросу на загрузку обновлений по справочнику 'ПИН-коды'</xs:documentation>
        </xs:annotation>
        <xs:sequence>
          <xs:element minOccurs="0" name="lastUpdateDate" type="xs:dateTime">
            <xs:annotation>
              <xs:documentation>Дата и время последнего обновления Пин-кода</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element minOccurs="0" name="lastId" type="xs:long">
            <xs:annotation>
              <xs:documentation>Последний загруженный id</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element form="qualified" name="pins">
            <xs:complexType>
              <xs:sequence>
                <xs:element maxOccurs="unbounded" minOccurs="0" ref="tns:pin">
                  <xs:annotation>
                    <xs:documentation>Список обновлений ПИН-кодов</xs:documentation>
                  </xs:annotation>
                </xs:element>
              </xs:sequence>
            </xs:complexType>
          </xs:element>
          <xs:element name="lastBlock" type="xs:boolean">
            <xs:annotation>
              <xs:documentation>Текущий блок является последним</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType abstract="true" name="Pin">
        <xs:annotation>
          <xs:documentation>Справочник «Пин-коды»</xs:documentation>
        </xs:annotation>
        <xs:sequence>
          <xs:element name="id" type="xs:long">
            <xs:annotation>
              <xs:documentation>Идентификатор</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="tin" type="xs:string">
            <xs:annotation>
              <xs:documentation>ИИН/БИН производителя</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="pinCode" type="xs:string">
            <xs:annotation>
              <xs:documentation>Пин код</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element name="productName" type="xs:string">
            <xs:annotation>
              <xs:documentation>Наименование продукции</xs:documentation>
            </xs:annotation>
          </xs:element>
          <xs:element minOccurs="0" name="lastUpdateDate" type="xs:dateTime">
            <xs:annotation>
              <xs:documentation>Дата обновления</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="AlcoholPin">
        <xs:annotation>
          <xs:documentation>Справочник «Пин-коды этилового спирта и алкогольной продукции»</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
          <xs:extension base="tns:Pin">
            <xs:sequence>
              <xs:element name="productionType" type="xs:string">
                <xs:annotation>
                  <xs:documentation>Вид продукции</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="spiritPercent" type="xs:decimal">
                <xs:annotation>
                  <xs:documentation>Крепость продукции</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element minOccurs="0" name="tareCapacity" type="xs:decimal">
                <xs:annotation>
                  <xs:documentation>Объем используемой тары, л.</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="OilPin">
        <xs:annotation>
          <xs:documentation>Справочник «Пин-коды нефтепродуктов»</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
          <xs:extension base="tns:Pin">
            <xs:sequence>
              <xs:element name="productionType" type="xs:string">
                <xs:annotation>
                  <xs:documentation>Вид продукции</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="TobaccoPin">
        <xs:annotation>
          <xs:documentation>Справочник «Пин-коды табачной продукции»</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
          <xs:extension base="tns:Pin">
            <xs:sequence>
              <xs:element name="mark" type="xs:string">
                <xs:annotation>
                  <xs:documentation>Марка табачных изделий</xs:documentation>
                </xs:annotation>
              </xs:element>
              <xs:element name="quantityInPack" type="xs:decimal">
                <xs:annotation>
                  <xs:documentation>Количество единиц табачных изделий в пачке (упаковке)</xs:documentation>
                </xs:annotation>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:simpleType name="OvdType">
        <xs:annotation>
          <xs:documentation>Тип ОВД</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
          <xs:enumeration value="TOBACCO">
            <xs:annotation>
              <xs:documentation>Табак</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="OIL">
            <xs:annotation>
              <xs:documentation>Нефтепродукты</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
        </xs:restriction>
      </xs:simpleType>
      <xs:simpleType name="DictRegistrationType">
        <xs:annotation>
          <xs:documentation>Тип регистрации</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
          <xs:enumeration value="REGISTRATION">
            <xs:annotation>
              <xs:documentation>Регистрация объекта</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="EDIT">
            <xs:annotation>
              <xs:documentation>Изменение сведений объекта</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="DELETE">
            <xs:annotation>
              <xs:documentation>Снятие с рег.учета или удаление объекта</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
        </xs:restriction>
      </xs:simpleType>
      <xs:simpleType name="PinType">
        <xs:annotation>
          <xs:documentation>Тип ПИН</xs:documentation>
        </xs:annotation>
        <xs:restriction base="xs:string">
          <xs:enumeration value="TOBACCO">
            <xs:annotation>
              <xs:documentation>Табак</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="OIL">
            <xs:annotation>
              <xs:documentation>Нефтепродукты</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="ALCOHOL">
            <xs:annotation>
              <xs:documentation>Алкоголь</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
        </xs:restriction>
      </xs:simpleType>
      <xs:element name="sessionClosedException" nillable="true" type="tns:SessionClosedFault"/>
      <xs:element name="querySmallRetailOutlet" nillable="true" type="tns:SmallRetailOutletRequest"/>
      <xs:element name="smallRetailOutletResponse" nillable="true" type="tns:SmallRetailOutletResponse"/>
      <xs:element name="queryOvdUpdates" nillable="true" type="tns:OvdUpdatesRequest"/>
      <xs:element name="ovdUpdatesResponse" nillable="true" type="tns:OvdUpdatesResponse"/>
      <xs:element name="queryAlcoholLicenseUpdates" nillable="true" type="tns:AlcoholLicenseUpdatesRequest"/>
      <xs:element name="alcoholLicenseUpdatesResponse" nillable="true" type="tns:AlcoholLicenseUpdatesResponse"/>
      <xs:element name="queryPinUpdates" nillable="true" type="tns:PinUpdatesRequest"/>
      <xs:element name="pinUpdatesResponse" nillable="true" type="tns:PinUpdatesResponse"/>
    </xs:schema>
  </wsdl:types>
  <wsdl:message name="querySmallRetailOutletResponse">
    <wsdl:part element="tns:smallRetailOutletResponse" name="smallRetailOutletResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="queryOvdUpdatesResponse">
    <wsdl:part element="tns:ovdUpdatesResponse" name="ovdUpdatesResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="queryAlcoholLicenseUpdates">
    <wsdl:part element="tns:queryAlcoholLicenseUpdates" name="queryAlcoholLicenseUpdates">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="queryPinUpdates">
    <wsdl:part element="tns:queryPinUpdates" name="queryPinUpdates">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="SessionClosedException">
    <wsdl:part element="tns:sessionClosedException" name="SessionClosedException">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="queryPinUpdatesResponse">
    <wsdl:part element="tns:pinUpdatesResponse" name="pinUpdatesResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="querySmallRetailOutlet">
    <wsdl:part element="tns:querySmallRetailOutlet" name="querySmallRetailOutlet">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="queryOvdUpdates">
    <wsdl:part element="tns:queryOvdUpdates" name="queryOvdUpdates">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="queryAlcoholLicenseUpdatesResponse">
    <wsdl:part element="tns:alcoholLicenseUpdatesResponse" name="alcoholLicenseUpdatesResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:portType name="DictWebService">
    <wsdl:documentation>Сервис по работе со справочниками ЭС</wsdl:documentation>
    <wsdl:operation name="querySmallRetailOutlet">
      <wsdl:documentation>Загрузить данные из справочника 'Малая торговая точка'</wsdl:documentation>
      <wsdl:input message="tns:querySmallRetailOutlet" name="querySmallRetailOutlet">
      </wsdl:input>
      <wsdl:output message="tns:querySmallRetailOutletResponse" name="querySmallRetailOutletResponse">
      </wsdl:output>
      <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="queryOvdUpdates">
      <wsdl:documentation>Загрузить обновления справочника 'ОВД'</wsdl:documentation>
      <wsdl:input message="tns:queryOvdUpdates" name="queryOvdUpdates">
      </wsdl:input>
      <wsdl:output message="tns:queryOvdUpdatesResponse" name="queryOvdUpdatesResponse">
      </wsdl:output>
      <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="queryAlcoholLicenseUpdates">
      <wsdl:documentation>Загрузить обновления справочника 'Лицензии алкогольной продукции'</wsdl:documentation>
      <wsdl:input message="tns:queryAlcoholLicenseUpdates" name="queryAlcoholLicenseUpdates">
      </wsdl:input>
      <wsdl:output message="tns:queryAlcoholLicenseUpdatesResponse" name="queryAlcoholLicenseUpdatesResponse">
      </wsdl:output>
      <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="queryPinUpdates">
      <wsdl:documentation>Загрузить обновления справочника 'Пин-коды'</wsdl:documentation>
      <wsdl:input message="tns:queryPinUpdates" name="queryPinUpdates">
      </wsdl:input>
      <wsdl:output message="tns:queryPinUpdatesResponse" name="queryPinUpdatesResponse">
      </wsdl:output>
      <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="DictWebServiceSoapBinding" type="tns:DictWebService">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="querySmallRetailOutlet">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="querySmallRetailOutlet">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="querySmallRetailOutletResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SessionClosedException">
        <soap:fault name="SessionClosedException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="queryOvdUpdates">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="queryOvdUpdates">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="queryOvdUpdatesResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SessionClosedException">
        <soap:fault name="SessionClosedException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="queryAlcoholLicenseUpdates">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="queryAlcoholLicenseUpdates">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="queryAlcoholLicenseUpdatesResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SessionClosedException">
        <soap:fault name="SessionClosedException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="queryPinUpdates">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="queryPinUpdates">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="queryPinUpdatesResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="SessionClosedException">
        <soap:fault name="SessionClosedException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="DictWebService">
    <wsdl:port binding="tns:DictWebServiceSoapBinding" name="DictWebServicePort">
      <soap:address location="https://esf.gov.kz:8443/esf-web/ws/api1/DictWebService"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>